/* job-board.css */

form.search {
	display: flex;
	flex-direction: column;
	row-gap: 5px;
	width: 90%;
	max-width: 560px;
	margin: 2px auto;
}

form.search label {
	display: flex;
	width: 100%;
	background: #fff;
	height: 36px;
	align-items: center;
	padding: 10px;
	border-radius: 6px;
	justify-content: space-between;
	font-size: 14px;
}

form.search .icon-info {
	margin: 0 5px 0 10px;
}

form.search .icon-info:before {
	content: 'i';
	border-radius: 50%;
	width: 15px;
	height: 15px;
	padding: 0;
	display: inline-block;
	background: #cececece;
	color: #fff;
	font-style: normal;
	text-align: center;
	font-weight: bold;
	line-height: 14px;
}

form.search input[type="checkbox"] {
	display: none;
}

form.search input[type="checkbox"] + .toggle {
	background: #D2D5DA;
	border-radius: 12px; 
	display: inline-flex;
	width: 40px;
	padding: 3px;
}

form.search input[type="checkbox"] + .toggle:before {
	content: '';
	display: inline-block;
	width: 18px;
	height: 18px;
	border-radius: 50%;
	background: #fff;
}

form.search input[type="checkbox"]:checked + .toggle {
	justify-content: flex-end;
	background: var( --accent );
}

form.search select, form.search .select2.select2-container {
	background: #fff;
	font-size: 14px;
	border-radius: 6px !important;
	padding: 3px 5px 5px 20px;
	color: #222;
	height: 36px;
	font-weight: 400;
	text-align: right;
	border: 0 !important;
	width: 100% !important;
}

form.search .select2 .select2-selection__placeholder {
	color: #222;
}

form.search select[name="job-positions"] {
	width: 100%;
}

form.search .select2 .select2-selection__clear {
	width: 20px;
	text-align: center;
}

.select2-container--open.select2-hide-search .select2-search  {
	visibility: hidden;
}

.select2-container .select2-search__field {
	border: 2px solid #7e86aa !important;
	position: absolute !important;
	top: -35px !important;
	background: white !important;
	height: 30px !important;
	width: 97% !important;
}

.select2-dropdown--below {
	/* margin-top: 35px; */
}

.select2-dropdown--above {
	margin-top: -39px;
}

.select2-container .select2-dropdown.select2-dropdown--below, .select2-container .select2-dropdown--below .select2-results, .select2-container .select2-dropdown--below .select2-results__options {
	border-bottom-right-radius: 6px !important;
	border-bottom-left-radius: 6px !important;
}
/*
.select2-container .select2-dropdown {
		background: transparent !important;
}
*/
.select2-container  .select2-results {
	background: #fff;
}

.select2-container .select2-dropdown.select2-dropdown--above, .select2-container .select2-dropdown--above .select2-results, .select2-container .select2-dropdown--above .select2-results__options {
	border-top-right-radius: 6px !important;
	border-top-left-radius: 6px !important;
}

.select2-container .select2-results,  .select2-container .select2-search__field{
	font-size: 14px;
}

.select2-results__options--nested li {
	padding-right: 20px;
}


form.search .select2.select2-container.select2-container--open.select2-container--below {
	border-bottom-right-radius: 0;
	border-bottom-left-radius: 0;
}

form.search .select2.select2-container.select2-container--open.select2-container--above {
	border-top-right-radius: 0;
	border-top-left-radius: 0;
}

form.search .select2 .select2-selection__rendered {
	padding: 0 5px 0 0 !important;
}

form.search .select2 .select2-selection__arrow {
	height: 34px !important;
	left: 3px !important;
}

form.search .select2 .select2-selection {
	height: 28px !important;
	border: 0;
	margin: 0 !important;
}

form.search button svg {
	fill: #fff;
}

form.search button {
	color: #fff !important;
	background: var( --accent );
	text-align: center;
	font-size: 14px !important;
	line-height: normal !important;
	width: 100% !important;
	height: 40px !important;
	border-radius: 6px !important;
	padding: 0 16px !important;
	border: 0 !important;
    margin-top: 8px;
}

form.search button:before {
	display: none !important;
}

form.search span.text-sm {
	display: block;
	margin-bottom: 1px;
	margin-top: 8px;
	font-size: 12px;
	font-weight: 400;
	color: #555;
    margin: auto;
}

form.search label .toggle {
	margin-right: auto;
}

form.search span.link-center {
	text-align: center;
	display: block;
}



